FUNCTION CONVERT(3)

NAME
boost::date_time::convert_to_lower - A function to replace the std::transform( , , ,tolower) construct.

SYNOPSIS

// In header: <boost/date_time/date_parsing.hpp>
std::string convert_to_lower(std::string inp);

DESCRIPTION

This function simply takes a string, and changes all the characters in that string to lowercase (according to the default system locale). In the event that a compiler does not support locales, the old C style tolower() is used.